/**
 * @version 1.1 2004-06-1
 * @author Gonzalo Ojeda 9821018-0
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 *  Clase tipo que responde al seleccionarse la opcion About en el menu, genera
 * un popup con una ventana e informacion.
 */
public class AboutDialog extends JDialog
{  
   /**
    * Constructor de la clase, genera un popup con un mensaje de texto y un 
    * boton OK para salir y cerrar la ventana
    * @param owner corresponde al frame que llama a esta funcion, en este caso,
    * el frame principal que es el que contiene el panel de dibujo y el de 
    * botones.
    */
   public AboutDialog(JFrame owner)
   {  
         // invoca al constructor de la super clase JDialog
   super(owner, "About DialogTest", true);         
         Container contentPane = getContentPane();

         // agrega un label  HTML a mostrar en el popup
         contentPane.add(new JLabel(
         "<HTML><center><H5><b>Tarea N3</b></center><br>" + "Diseo y "
      + "Programacin Orientado a Objetos" + "<br><i>Universidad Tcnica Fede"
      + "rico Santa Mara<br>Primer Semestre 2004</h5></i>" + "By <a href="
      + "'mailto:chalo@elo.utfsm.cl'>Gonzalo Ojeda Figueroa</a></HTML>"),
      BorderLayout.CENTER);

         // agrega el boton OK para cerrar el popupOk button closes the dialog
         JButton ok = new JButton("Ok");
         ok.addActionListener(new 
         ActionListener() 
         {  
            public void actionPerformed(ActionEvent evt) 
            { 
               setVisible(false); 
            } 
         });

         // agrega el boton al borde inferior y luego al frame completo.
         JPanel panel = new JPanel();
         panel.add(ok);
         contentPane.add(panel, BorderLayout.SOUTH);
         // setea el tamao del popup
         setSize(DEFAULT_WIDTH, DEFAULT_HEIGHT);
   }

   private static final int DEFAULT_WIDTH = 300;
   private static final int DEFAULT_HEIGHT = 200;
} 
